// "C64 Emulator V1.0". 
// Programmed for TI-92+ by Sebastian Macke, 
// You need TIGCC crosscompiler to compile it.

#ifndef _CPU_H
#define _CPU_H

struct tcpuregisters
{
  unsigned char AC, XR, YR, SP;
  unsigned short int PC;
	char Carry_Flag;
	char Zero_Flag;
	char IRQ_Disable_Flag;
	char Decimal_Flag;
	char Brk_Flag;
	char Unused_Flag;
	char Overflow_Flag;
	char Negative_Flag;
};

void init(unsigned char *pmem,struct tcpuregisters *pregs);
void set_PC(unsigned pos);
void resetcpu();
void interrupt();
void print_processor_status();
void calc_step();

#endif
